Bug 99210 - [maintainer][repocopy] emulators/linux_base-gentoo-stage[123]
[maintainer][repocopy] emulators/linux_base-gentoo-stage[123]
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Erwin Lansing
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-20 17:20 UTC by gkovesdan
Modified: 2006-06-25 19:54 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description gkovesdan 2006-06-20 17:20:17 UTC
These ports are complete Linux distributions rather than linux_base ports and
don't really suit our Ports Collection infrastructure,  so
they should be renamed to emulators/linux_dist-gentoo-stage[123], but the
opportunity to install them as linux_base should be kept.
After the repocopy the patches mentioned below should be applied.

Detailed changelist for patches:
	- Add WITH_LINUXBASE for using as a linux_base, otherwise it installs
	  under ${PREFIX}/${PORTNAME}
	- Add an explanation in pre-fetch to explain WITH_LINUXBASE
	- Move pkg- scripts into files/ to reinplace-edit them appropriately
	- Change to static plists
	- do-extract is unnecessary now since we have static plists
	- Drop alpha support for linux_base-gentoo-stage1 since
		1, alpha support was dropped in CURRENT as well, and RELENG_[56]
		   are badly maintained for alpha
		2, I don't have hardware to test these changes for alpha
	- Bump PORTREVISION

Discussed with: netchild

Fix: 

Patches include plist, so they are very big, I haven't attached them, but made them
online:

http://gabor.t-hosting.hu/patches/gentoo1.diff
http://gabor.t-hosting.hu/patches/gentoo2.diff
http://gabor.t-hosting.hu/patches/gentoo3.diff
Comment 1 Edwin Groothuis freebsd_committer 2006-06-21 11:49:45 UTC
State Changed
From-To: open->feedback

"After the repocopy the patches mentioned below should be applied." 
But repocopy from where? 


Comment 2 Edwin Groothuis freebsd_committer 2006-06-21 11:49:45 UTC
Responsible Changed
From-To: freebsd-ports-bugs->netchild

Netchild helped him, maybe he wants to keep helping him?
Comment 3 gabor.kovesdan 2006-06-21 11:57:18 UTC
Repocopies:

emulators/linux_base-gentoo-stage1   ---> emulators/linux_dist-gentoo-stage1
emulators/linux_base-gentoo-stage2   ---> emulators/linux_dist-gentoo-stage2
emulators/linux_base-gentoo-stage3   ---> emulators/linux_dist-gentoo-stage3

And then the patches should be applied on the new location and I will 
send meta-ports to replace the old ones with them, but those meta-ports 
will be marked as DEPRECATED to reflect that these ports are not quite 
linux_base ports, but this gives us the opportunity to use them as 
linux_base if somebody insist on. This is what I discussed with Alexander.

Gabor Kovesdan
Comment 4 Edwin Groothuis freebsd_committer 2006-06-21 12:50:49 UTC
State Changed
From-To: feedback->repocopy

emulators/linux_base-gentoo-stage1   ---> emulators/linux_dist-gentoo-stage1 
emulators/linux_base-gentoo-stage2   ---> emulators/linux_dist-gentoo-stage2 
emulators/linux_base-gentoo-stage3   ---> emulators/linux_dist-gentoo-stage3 



Comment 5 Edwin Groothuis freebsd_committer 2006-06-21 12:50:49 UTC
Responsible Changed
From-To: netchild->portmgr

emulators/linux_base-gentoo-stage1   ---> emulators/linux_dist-gentoo-stage1 
emulators/linux_base-gentoo-stage2   ---> emulators/linux_dist-gentoo-stage2 
emulators/linux_base-gentoo-stage3   ---> emulators/linux_dist-gentoo-stage3
Comment 6 Joe Marcus Clarke freebsd_committer 2006-06-24 06:20:48 UTC
State Changed
From-To: repocopy->open

Repocopies completed. 


Comment 7 Joe Marcus Clarke freebsd_committer 2006-06-24 06:20:48 UTC
Responsible Changed
From-To: portmgr->edwin

Repocopies completed.
Comment 8 gabor.kovesdan 2006-06-24 08:25:34 UTC
Here are the patches for the old locations. These add metaports to keep 
the old functionality as well.

http://gabor.t-hosting.hu/patches/metaport-gentoo1.diff
http://gabor.t-hosting.hu/patches/metaport-gentoo2.diff
http://gabor.t-hosting.hu/patches/metaport-gentoo3.diff


Gabor Kovesdan
Comment 9 Erwin Lansing freebsd_committer 2006-06-25 12:08:14 UTC
Responsible Changed
From-To: edwin->erwin

Steal this one after talking to netchild.
Comment 10 Erwin Lansing freebsd_committer 2006-06-25 19:54:04 UTC
State Changed
From-To: open->closed

Committed, thanks!